Last Comment Bug 585348 - Port bug 584261 to SeaMonkey - tabbrowser creates a browser when its tab state is partially initialized
: Port bug 584261 to SeaMonkey - tabbrowser creates a browser when its tab stat...
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Tabbed Browser (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1b3
Assigned To: Philip Chee
:
Mentors:
Depends on: 584261
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-07 11:15 PDT by Robert Kaiser
Modified: 2011-02-16 04:44 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch v1.0 fix. (3.00 KB, patch)
2011-02-14 07:46 PST, Philip Chee
neil: review+
Details | Diff | Splinter Review

Description Robert Kaiser 2010-08-07 11:15:35 PDT
+++ This bug was initially created as a clone of Bug #584261 +++

This bug is currently latent, but doesn't bite because nobody tries to use the tabbrowser when the tab is initialized.

In the patch for the bug that this bug blocks, we send out additional notifications that expose this.

----------------------

The above description and the comment in http://hg.mozilla.org/mozilla-central/rev/63b9ba3664a0 sound very much like we'd want this in SeaMonkey as well.
Comment 1 Philip Chee 2011-02-14 07:46:45 PST
Created attachment 512163 [details] [diff] [review]
Patch v1.0 fix.
Comment 2 Philip Chee 2011-02-15 19:42:48 PST
Pushed to comm-central
http://hg.mozilla.org/comm-central/rev/6e68661ecd6a

Note You need to log in before you can comment on or make changes to this bug.